Subject: Re: linux-next: build failure after merge of the amdgpu tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 27 Jun 2019 13:35:27 +1000

Hi Dave,

On Wed, 26 Jun 2019 21:22:12 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> Hi Alex,
> 
> After merging the amdgpu tree, today's linux-next build (powerpc
> allyesconfig) failed like this:
> 
> In file included from drivers/gpu/drm/amd/amdgpu/gfx_v10_0.c:25:
> drivers/gpu/drm/amd/amdgpu/gfx_v10_0.c: In function 'gfx_v10_0_cp_gfx_resume':
> drivers/gpu/drm/amd/amdgpu/gfx_v10_0.c:2628:27: error: 'CP_RB1_CNTL__BUF_SWAP_MASK' undeclared (first use in this function); did you mean 'CP_RB_CNTL__BUF_SWAP_MASK'?
>   tmp = REG_SET_FIELD(tmp, CP_RB1_CNTL, BUF_SWAP, 1);
>                            ^~~~~~~~~~~
> drivers/gpu/drm/amd/amdgpu/amdgpu.h:1067:36: note: in definition of macro 'REG_FIELD_MASK'
>  #define REG_FIELD_MASK(reg, field) reg##__##field##_MASK
>                                     ^~~
> drivers/gpu/drm/amd/amdgpu/gfx_v10_0.c:2628:8: note: in expansion of macro 'REG_SET_FIELD'
>   tmp = REG_SET_FIELD(tmp, CP_RB1_CNTL, BUF_SWAP, 1);
>         ^~~~~~~~~~~~~
> drivers/gpu/drm/amd/amdgpu/gfx_v10_0.c:2628:27: note: each undeclared identifier is reported only once for each function it appears in
>   tmp = REG_SET_FIELD(tmp, CP_RB1_CNTL, BUF_SWAP, 1);
>                            ^~~~~~~~~~~
> drivers/gpu/drm/amd/amdgpu/amdgpu.h:1067:36: note: in definition of macro 'REG_FIELD_MASK'
>  #define REG_FIELD_MASK(reg, field) reg##__##field##_MASK
>                                     ^~~
> drivers/gpu/drm/amd/amdgpu/gfx_v10_0.c:2628:8: note: in expansion of macro 'REG_SET_FIELD'
>   tmp = REG_SET_FIELD(tmp, CP_RB1_CNTL, BUF_SWAP, 1);
>         ^~~~~~~~~~~~~
> drivers/gpu/drm/amd/amdgpu/gfx_v10_0.c:2628:27: error: 'CP_RB1_CNTL__BUF_SWAP__SHIFT' undeclared (first use in this function); did you mean 'CP_RB0_CNTL__BUF_SWAP__SHIFT'?
>   tmp = REG_SET_FIELD(tmp, CP_RB1_CNTL, BUF_SWAP, 1);
>                            ^~~~~~~~~~~
> drivers/gpu/drm/amd/amdgpu/amdgpu.h:1066:37: note: in definition of macro 'REG_FIELD_SHIFT'
>  #define REG_FIELD_SHIFT(reg, field) reg##__##field##__SHIFT
>                                      ^~~
> drivers/gpu/drm/amd/amdgpu/gfx_v10_0.c:2628:8: note: in expansion of macro 'REG_SET_FIELD'
>   tmp = REG_SET_FIELD(tmp, CP_RB1_CNTL, BUF_SWAP, 1);
>         ^~~~~~~~~~~~~
> 
> Caused by commit
> 
>   a644d85a5cd4 ("drm/amdgpu: add gfx v10 implementation (v10)")
> 
> I have disabled that driver for today.  Please let me know when it is
> fixed so that I can enable it again.

I assume that this has now been inherited by the drm tree (since there
has been no fix).  So the AMD_GPU driver will still be disabled in
linux-next today as of the drm tree merge.

-- 
Cheers,
Stephen Rothwell